Bug 807335 - relevation requires python-lxml ???
relevation requires python-lxml ???
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: relevation (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 10:40 EDT by Tom London
Modified: 2012-04-18 18:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: relevation-1.1-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-29 09:20:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2012-03-27 10:40:19 EDT
Description of problem:
After 'yum install relevation': relevation fails to run on my system:

[tbl@tlondon .revelation]$ relevation --help
Traceback (most recent call last):
  File "/usr/bin/relevation", line 44, in <module>
    from lxml import etree
ImportError: No module named lxml
[tbl@tlondon .revelation]$ 

I then ran 'yum install python-lxml' and then 'relevation --help' seems to work:

[tbl@tlondon .revelation]$ relevation --help
Relevation v1.1, (c) 2011 Toni Corvera

/usr/bin/relevation {-f passwordfile} {-p password | -0} [search] [search2] [...]

Options:
  -f FILE, --file=FILE         Revelation password file.
  -p PASS, --password=PASS     Master password.
  -s SEARCH, --search=SEARCH   Search for string.
  -i, --case-insensitive       Case insensitive search (default).
  -c, --case-sensitive         Case sensitive search.
  -a, --ask                    Interactively ask for password.
                               Note it will be displayed in clear as you
                               type it.
  -t TYPE, --type=TYPE         Print only entries of type TYPE.
                               With no search string, prints all entries of
                               type TYPE.
  -x, --xml                    Dump unencrypted XML document.
  -0, --stdin                  Read password from standard input.
  -h, --help                   Print help (this message).
  --version                    Print the program's version information.

[tbl@tlondon .revelation]$ 



Version-Release number of selected component (if applicable):
relevation-1.1-2.fc18.noarch

How reproducible:
Yup. Every time.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthias Saou 2012-03-29 03:58:42 EDT
Very good catch. It's not checked at build time, and it was already installed on the systems where I tested it.
Comment 2 Fedora Update System 2012-03-29 07:25:59 EDT
relevation-1.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/relevation-1.1-3.fc16
Comment 3 Fedora Update System 2012-03-29 07:26:15 EDT
relevation-1.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/relevation-1.1-3.el6
Comment 4 Fedora Update System 2012-03-29 07:26:24 EDT
relevation-1.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/relevation-1.1-3.fc17
Comment 5 Fedora Update System 2012-03-29 07:26:35 EDT
relevation-1.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/relevation-1.1-3.el5
Comment 6 Tom London 2012-03-29 09:20:51 EDT
Appears fixed. 

I removed python-lxml and ran 'yum update relevation':

Resolving Dependencies
--> Running transaction check
---> Package relevation.noarch 0:1.1-2.fc18 will be updated
---> Package relevation.noarch 0:1.1-3.fc18 will be an update
--> Processing Dependency: python-lxml for package: relevation-1.1-3.fc18.noarch
--> Running transaction check
---> Package python-lxml.x86_64 0:2.3.3-1.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package             Arch           Version                Repository      Size
================================================================================
Updating:
 relevation          noarch         1.1-3.fc18             18koji          14 k
Installing for dependencies:
 python-lxml         x86_64         2.3.3-1.fc17           17koji         665 k

Transaction Summary
================================================================================
Install             ( 1 Dependent package)
Upgrade  1 Package

Total size: 679 k
Total download size: 14 k
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
relevation-1.1-3.fc18.noarch.rpm                         |  14 kB     00:00     
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : python-lxml-2.3.3-1.fc17.x86_64                              1/3 
  Updating   : relevation-1.1-3.fc18.noarch                                 2/3 
  Cleanup    : relevation-1.1-2.fc18.noarch                                 3/3 
  Verifying  : python-lxml-2.3.3-1.fc17.x86_64                              1/3 
  Verifying  : relevation-1.1-3.fc18.noarch                                 2/3 
  Verifying  : relevation-1.1-2.fc18.noarch                                 3/3 

Dependency Installed:
  python-lxml.x86_64 0:2.3.3-1.fc17                                             

Updated:
  relevation.noarch 0:1.1-3.fc18                                                

Complete!
[root@tlondon ~]# 

Thanks!

Closing as fixed in Rawhide.
Comment 7 Fedora Update System 2012-04-16 13:58:59 EDT
relevation-1.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-04-16 13:59:07 EDT
relevation-1.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-04-18 15:23:42 EDT
relevation-1.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-04-18 18:56:21 EDT
relevation-1.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.